curl --request GET \
--url https://api.sandbox.teal.dev/v0/transactions/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'teal-instance-id: <teal-instance-id>'import requests
url = "https://api.sandbox.teal.dev/v0/transactions/tasks/{task_id}"
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'teal-instance-id': '<teal-instance-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.teal.dev/v0/transactions/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "UjL3BQnEaJtecuC7CUeDk",
"status": "pending",
"created_datetime": "2024-01-01T00:00:00Z",
"updated_datetime": "2024-01-01T00:00:00Z",
"error": null,
"source_account_id": "<string>",
"task_type": "import_transactions",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"created_transaction_ids": [
"<string>"
],
"removed_transaction_ids": [
"<string>"
],
"modified_transaction_ids": [
"<string>"
],
"skipped_transaction_ids": [
"<string>"
],
"failed_transaction_ids": [
"<string>"
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}Retrieve a Transaction Processing Task
Retrieves an existing Transaction Processing Task.
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
Path Parameters
The Transaction Processing Task ID.
Response
Successful Response
"UjL3BQnEaJtecuC7CUeDk"
Status of the transaction processing task
pending, posted, complete, failed "pending"
Indicates the datetime in UTC when the task was created.
"2024-01-01T00:00:00Z"
Indicates the datetime in UTC when the task was last updated.
"2024-01-01T00:00:00Z"
The Error object if any errors were encountered in the processing. If the processing task was created by a Plaid import, the Plaid errors will be passed through there. See Plaid's documentation for more information on their error messages.
- PlaidError
- GeneralError
Show child attributes
Show child attributes
null
The source account containing the transactions
Type of transaction processing task
import_transactions, recategorization, delete_date_range, process_aged_unposted, retry_unposted, legacy The ID of the ledger that the transactions are being created for.
"7JRNsKwy2Lw66caxVU7WGC"
The IDs of Transactions successfully processed by this task.
The IDs of Transactions that were removed by this task.
The IDs of Transactions that were modified by this task.
The IDs of Transactions that were skipped by this task.
The IDs of Transactions that failed to process in this task.